## credcheck 2.1

=== Makefile ===
EXTENSION = credcheck
EXTVERSION = $(shell grep default_version $(EXTENSION).control | \
	       sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

# Uncomment the following two lines to enable cracklib support, adapt the path
# to the cracklib dictionary following your distribution
#PG_CPPFLAGS = -DUSE_CRACKLIB '-DCRACKLIB_DICTPATH="/usr/lib/cracklib_dict"'
#SHLIB_LINK = -lcrack

MODULE_big = credcheck
OBJS = credcheck.o $(WIN32RES)
PGFILEDESC = "credcheck - postgresql credential checker"

DATA = $(wildcard updates/*--*.sql) $(EXTENSION)--$(EXTVERSION).sql

REGRESS_OPTS  = --inputdir=test --load-extension=credcheck
TESTS = 01_username 02_password 03_rename 04_alter_pwd

REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(MAJORVERSION),$(filter $(MAJORVERSION), 14 15 16))
	REGRESS += 05_reuse_history
	REGRESS += 06_reuse_interval
else
	REGRESS += 05_pg13_reuse_history
	REGRESS += 06_pg13_reuse_interval
endif

REGRESS += 07_valid_until

=== debian/changelog ===
credcheck (2.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Aug 2023 14:36:18 +0200

=== debian/control ===
Source: credcheck
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libkrb5-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/MigOpsRepos/credcheck
Vcs-Browser: https://salsa.debian.org/postgresql/credcheck
Vcs-Git: https://salsa.debian.org/postgresql/credcheck.git

Package: postgresql-15-credcheck
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL username/password checks
 The credcheck PostgreSQL extension provides few general credential checks,
 which will be evaluated during the user creation, during the password change
 and user renaming. By using this extension, we can define a set of rules:
 .
  * allow a specific set of credentials
  * reject a certain type of credentials
  * deny password that can be easily cracked
  * enforce use of an expiration date with a minimum of day for a password
  * define a password reuse policy
  * define the number of authentication failure allowed before a user is banned

## credcheck 2.2

=== debian/changelog ===
credcheck (2.2-1) unstable; urgency=medium

  * New upstream version 2.2.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 17:51:10 +0200

credcheck (2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:03:12 +0200

## credcheck 2.3

=== debian/changelog ===
credcheck (2.3-1) unstable; urgency=medium

  * New upstream version 2.3.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Nov 2023 11:31:54 +0100

## credcheck 2.6

=== debian/changelog ===
credcheck (2.6-1) unstable; urgency=medium

  * New upstream version 2.6.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:09:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/credcheck
 Vcs-Git: https://salsa.debian.org/postgresql/credcheck.git
 
-Package: postgresql-15-credcheck
+Package: postgresql-16-credcheck
 Architecture: any
 Depends:
  ${misc:Depends},

=== debian/watch ===
version=4
https://github.com/MigOpsRepos/credcheck/tags .*/v(.*).tar.gz

## credcheck 2.7

=== debian/changelog ===
credcheck (2.7-1) unstable; urgency=medium

  * New upstream version 2.7.

 -- Christoph Berg <myon@debian.org>  Sat, 04 May 2024 11:47:18 +0200

## credcheck 2.8

=== debian/changelog ===
credcheck (2.8-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 Aug 2024 16:50:30 +0200

credcheck (2.8-1) unstable; urgency=medium

  * New upstream version 2.8.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Aug 2024 16:50:30 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,78 @@
 Homepage: https://github.com/MigOpsRepos/credcheck
 Vcs-Browser: https://salsa.debian.org/postgresql/credcheck
 Vcs-Git: https://salsa.debian.org/postgresql/credcheck.git
+
+Package: postgresql-12-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-13-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-14-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-15-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
 
 Package: postgresql-16-credcheck
 Architecture: any

## credcheck 3.0

=== Makefile ===
EXTENSION = credcheck
EXTVERSION = $(shell grep default_version $(EXTENSION).control | \
	       sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

# Uncomment the following two lines to enable cracklib support, adapt the path
# to the cracklib dictionary following your distribution
#PG_CPPFLAGS = -DUSE_CRACKLIB '-DCRACKLIB_DICTPATH="/usr/lib/cracklib_dict"'
#SHLIB_LINK = -lcrack

PG_CPPFLAGS += -Wno-ignored-attributes

MODULE_big = credcheck
OBJS = credcheck.o $(WIN32RES)
PGFILEDESC = "credcheck - postgresql credential checker"

DATA = $(wildcard updates/*--*.sql) $(EXTENSION)--$(EXTVERSION).sql

REGRESS_OPTS  = --inputdir=test --load-extension=credcheck
TESTS = 01_username 02_password 03_rename 04_alter_pwd \
	05_reuse_history 06_reuse_interval 07_valid_until

REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
credcheck (3.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117259)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 14:29:59 +0200

credcheck (3.0-2) unstable; urgency=medium

  * Upstream moved from MigOps to HexaCluster, update metadata.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Jul 2025 14:43:02 +0200

credcheck (3.0-1) unstable; urgency=medium

  * New upstream version 3.0.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Jan 2025 13:35:07 +0100

credcheck (2.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 21:31:04 +0200

=== debian/control ===
Source: credcheck
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libkrb5-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/MigOpsRepos/credcheck
Vcs-Browser: https://salsa.debian.org/postgresql/credcheck
Vcs-Git: https://salsa.debian.org/postgresql/credcheck.git

Package: postgresql-18-credcheck
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL username/password checks
 The credcheck PostgreSQL extension provides few general credential checks,
 which will be evaluated during the user creation, during the password change
 and user renaming. By using this extension, we can define a set of rules:
 .
  * allow a specific set of credentials
  * reject a certain type of credentials
  * deny password that can be easily cracked
  * enforce use of an expiration date with a minimum of day for a password
  * define a password reuse policy
  * define the number of authentication failure allowed before a user is banned

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	+pg_buildext -o 'shared_preload_libraries=credcheck' installcheck . . postgresql-%v-credcheck

## credcheck 4.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #PG_CPPFLAGS = -DUSE_CRACKLIB '-DCRACKLIB_DICTPATH="/usr/lib/cracklib_dict"'
 #SHLIB_LINK = -lcrack
 
-PG_CPPFLAGS += -Wno-ignored-attributes
+PG_CPPFLAGS += -Wno-ignored-attributes -flto
 
 MODULE_big = credcheck
 OBJS = credcheck.o $(WIN32RES)

=== debian/changelog ===
credcheck (4.2-1.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 26 Oct 2025 13:08:38 +0100

credcheck (4.2-1) unstable; urgency=medium

  * New upstream version 4.2.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Oct 2025 13:08:38 +0100

credcheck (4.0-1) unstable; urgency=medium

  * New upstream version 4.0.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Oct 2025 21:42:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,126 @@
 Homepage: https://github.com/MigOpsRepos/credcheck
 Vcs-Browser: https://salsa.debian.org/postgresql/credcheck
 Vcs-Git: https://salsa.debian.org/postgresql/credcheck.git
+
+Package: postgresql-12-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-13-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-14-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-15-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-16-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
+
+Package: postgresql-17-credcheck
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL username/password checks
+ The credcheck PostgreSQL extension provides few general credential checks,
+ which will be evaluated during the user creation, during the password change
+ and user renaming. By using this extension, we can define a set of rules:
+ .
+  * allow a specific set of credentials
+  * reject a certain type of credentials
+  * deny password that can be easily cracked
+  * enforce use of an expiration date with a minimum of day for a password
+  * define a password reuse policy
+  * define the number of authentication failure allowed before a user is banned
 
 Package: postgresql-18-credcheck
 Architecture: any

## credcheck 4.3

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 REGRESS_OPTS  = --inputdir=test --load-extension=credcheck
 TESTS = 01_username 02_password 03_rename 04_alter_pwd \
-	05_reuse_history 06_reuse_interval 07_valid_until
+	05_reuse_history 06_reuse_interval 07_valid_until \
+	08_first_login
 
 REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))

=== debian/changelog ===
credcheck (4.3-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 06 Jan 2026 20:56:21 +0100

credcheck (4.3-1) unstable; urgency=medium

  * New upstream version 4.3.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Jan 2026 20:56:21 +0100

## credcheck 4.4

=== debian/changelog ===
credcheck (4.4-1) unstable; urgency=medium

  * New upstream version 4.4.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Jan 2026 15:16:29 +0100

## credcheck 4.5

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 OBJS = credcheck.o $(WIN32RES)
 PGFILEDESC = "credcheck - postgresql credential checker"
 
-DATA = $(wildcard updates/*--*.sql) $(EXTENSION)--$(EXTVERSION).sql
+DATA = $(wildcard updates/*--*.sql) sql/$(EXTENSION)--$(EXTVERSION).sql
 
 REGRESS_OPTS  = --inputdir=test --load-extension=credcheck
 TESTS = 01_username 02_password 03_rename 04_alter_pwd \

=== debian/changelog ===
credcheck (4.5-1) unstable; urgency=medium

  * New upstream version 4.5.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Feb 2026 11:58:30 +0100

## credcheck 4.6

=== debian/changelog ===
credcheck (4.6-1) unstable; urgency=medium

  * New upstream version 4.6.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Feb 2026 08:48:08 +0100
